LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::i18n::CharType Constant Group Referencepublished

Constants to specify the character type that starts a character block. More...

## Variables
const short | ANY_CHAR = 0
| all alpha characters allowed More...
const short | UPPERCASE_LETTER = 1
const short | LOWERCASE_LETTER = 2
const short | TITLECASE_LETTER = 3
const short | MODIFIER_LETTER = 4
const short | OTHER_LETTER = 5
const short | NON_SPACING_MARK = 6
const short | ENCLOSING_MARK = 7
const short | COMBINING_SPACING_MARK = 8
const short | DECIMAL_DIGIT_NUMBER = 9
const short | LETTER_NUMBER = 10
const short | OTHER_NUMBER = 11
const short | SPACE_SEPARATOR = 12
const short | LINE_SEPARATOR = 13
const short | PARAGRAPH_SEPARATOR = 14
const short | CONTROL = 15
const short | FORMAT = 16
const short | PRIVATE_USE = 17
const short | SURROGATE = 18
const short | DASH_PUNCTUATION = 19
const short | START_PUNCTUATION = 20
const short | END_PUNCTUATION = 21
const short | CONNECTOR_PUNCTUATION = 22
const short | OTHER_PUNCTUATION = 23
const short | MATH_SYMBOL = 24
const short | CURRENCY_SYMBOL = 25
const short | MODIFIER_SYMBOL = 26
const short | OTHER_SYMBOL = 27
const short | INITIAL_PUNCTUATION = 28
const short | FINAL_PUNCTUATION = 29
const short | GENERAL_TYPES_COUNT = 30

## Detailed Description

Constants to specify the character type that starts a character block.

Character type is Unicode type defined in UnicodeType

Used with XBreakIterator::beginOfCharBlock(), XBreakIterator::endOfCharBlock(), XBreakIterator::nextCharBlock(), XBreakIterator::previousCharBlock()

## Variable Documentation

const short ANY_CHAR = 0

all alpha characters allowed

const short COMBINING_SPACING_MARK = 8

const short CONNECTOR_PUNCTUATION = 22

const short CONTROL = 15

const short CURRENCY_SYMBOL = 25

const short DASH_PUNCTUATION = 19

const short DECIMAL_DIGIT_NUMBER = 9

const short ENCLOSING_MARK = 7

const short END_PUNCTUATION = 21

const short FINAL_PUNCTUATION = 29

const short FORMAT = 16

const short GENERAL_TYPES_COUNT = 30

const short INITIAL_PUNCTUATION = 28

const short LETTER_NUMBER = 10

const short LINE_SEPARATOR = 13

const short LOWERCASE_LETTER = 2

const short MATH_SYMBOL = 24

const short MODIFIER_LETTER = 4

const short MODIFIER_SYMBOL = 26

const short NON_SPACING_MARK = 6

const short OTHER_LETTER = 5

const short OTHER_NUMBER = 11

const short OTHER_PUNCTUATION = 23

const short OTHER_SYMBOL = 27

const short PARAGRAPH_SEPARATOR = 14

const short PRIVATE_USE = 17

const short SPACE_SEPARATOR = 12

const short START_PUNCTUATION = 20

const short SURROGATE = 18

const short TITLECASE_LETTER = 3

const short UPPERCASE_LETTER = 1